#ifndef _COUNTING_MESSAGE_RECEIVER_H_
#   define _COUNTING_MESSAGE_RECEIVER_H_

#include "MessageReceiver.h"

class CountingMessageReceiver : public MessageReceiver
{
   public:
      CountingMessageReceiver(MessageReceiver &);
      ~CountingMessageReceiver();

      void accept(const char *message);

      int getCount() const;

   private:
      CountingMessageReceiver(const CountingMessageReceiver &);
      CountingMessageReceiver &operator=(const CountingMessageReceiver &);

      MessageReceiver &mReceiver;
      int mCount;
};

#endif
