#ifndef _DEFINE_H_
#   define _DEFINE_H_

#include <iostream>

using std::ostream;

class Node;

class Define
{
   public:
      Define(const char *name, const Node *value, int level);
      ~Define();

      const char *getName();
      const Node *getNode();

      friend ostream &operator<<(ostream &out, const Define &d);

   private:
      Define(const Define &);
      Define & operator=(const Define &);
      const char *mName;
      const Node *mValue;
      int mLevel;
};

#endif
